<?php
//ini_set("display_errors",1);
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("../comunicado/cComunicado.php");
$oComunicado = new cComunicado();
require_once ("../usuario/cUsuario.php");
$oUsuario = new cUsuario();
require_once("../formatos/formato.php");

if($_POST['action']=="insertar"){
	$fecdes=date('d-m-Y');
	$fechas=date('d-m-Y');
	$est='1';
}

if($_POST['action']=="editar"){
	
	
	$dts= $oComunicado->mostrarUno($_POST['com_id']);
	$numros = mysqli_num_rows($dts);
	echo $numros;
	$dt = mysqli_fetch_array($dts);
	$fec1		=$dt['tb_comunicado_des'];
	$fec2		=$dt['tb_comunicado_has'];	
	$tip 	=$dt['tb_comunicado_tip'];
	$con_nom 	=$dt['tb_comunicado_nom'];
	mysqli_free_result($dts);
	
	$fecdes = date('d-m-Y',$fec1);
	$fechas = date('d-m-Y',$fec2);
	
	
}
//usuarios

?>
<script type="text/javascript">

	$('#txt_cmo_fec1,#txt_cmo_fec2').datepicker({
		format: 'dd-mm-yyyy',
		autoclose:true,
		endDate: '+5d'
	}).on('hide', function () {
		$("#cmb_caja_id").focus();return false;
	})

$(function() {


	
	$('#txt_com_det').autocomplete({
		minLength: 1,
		source: "../comunicado/complete_comunicado_det.php"
	});
	$('#txt_com_det').change(function(){
		$(this).val($(this).val().toUpperCase());
	});

	$("#btn_com_guardar").click(function() {
		$("#for_ing").submit();
	});
$('#for_ing').bootstrapValidator({ 
	     
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {	      	
	      	txt_com_fec: {
	      		group: '.col-lg-3',
	      		validators: {	      			
	      			date: {
	      				format: 'DD-MM-YYYY',
	      				message: 'Fecha no Valida'
	      			}
	      		}
	      	},cmb_caja_id: {
	      		group: '.col-lg-3',
	      		validators: {
	      			notEmpty: {
	      				message: 'Campo vacio *'
	      			}
	      		}
	      	},txt_com_imp: {
	      		group: '.col-lg-4',
	      		validators: { 
	      			notEmpty: {
	      				message: 'Campo vacio *'
	      			} 	      			 
                    }
                },cmb_com_est: {
                	group: '.col-lg-3',
                	validators: {
                		notEmpty: {
                			message: 'Campo vacio *'
                		}
                	}
                },
            }
        }).on('success.form.bv', function(e) { 
        	
        	$.ajax({
        		type: "POST",
        		url: "../comunicado/comunicado_reg.php",
        		async:true,
        		dataType: "json",
        		data: $("#for_ing").serialize(),
        		beforeSend: function(){
        			
        		},
        		success: function(data){
        			$('.modal').modal('hide');
					$('.in').removeClass('modal-backdrop');		
					toastr["success"](data.ing_msj);
        			
        			/* comunicado_impresion(data.ing_id); */
        		},
        		complete: function(){
        			<?php
        			if($_POST['vista']=="comunicado_tabla")
        			{
        				echo $_POST['vista'].'();';
        			}
        			if($_POST['vista']=="venta_comunicado_tabla")
        			{
        				echo $_POST['vista'].'();';
        			}
        			?>
        		}
        	});
        });
    
        $("#cmb_com_est").keydown(function(e){
        	if (e.which == 13){$("#cmb_cue_id").focus();return false;  } });
    });
</script>
<div class="col-12 col-lg-12 col-md-12 col-sm-12" >
<form  role="form" id="for_ing" method="POST">
	<input type="hidden" id="action" name="action" value="<?php echo $_POST['action']?>">
	<input type="hidden" id="hdd_com_id" name="hdd_com_id" value="<?php echo $_POST['com_id']?>">
	<div class="box-header">
	<h3 class="box-title">Información del Comunicado</h3>
	</div>
					
	<div class="row">
		<div class="col-lg-2 col-sm-4 col-6">
			<label for="txt_cmo_fec1">Desde:</label>
			<input name="txt_cmo_fec1" type="text" class="form-control" id="txt_cmo_fec1" value="<?php echo $fecdes?>" >
		</div>
		<div class="col-lg-2 col-sm-4 col-6">
			<label for="txt_cmo_fec2">Hasta:</label>
			<input name="txt_cmo_fec2" type="text" class="form-control" id="txt_cmo_fec2" value="<?php echo $fechas?>" >
		</div>
		<div class="col-lg-3 col-sm-4 col-6" >
			<label for="cmb_com_est">Tipo de Comunicado:</label>
			<select name="cmb_com_est" id="cmb_com_est" class="form-control">
				<option value="">--- Seleccionar ---</option>
				<option value="1" <?php if($tip==1)echo 'selected'?>>NORMAL</option>
				<option value="2" <?php if($tip==2)echo 'selected'?>>CHANCHITO</option>
				
			</select>
		</div>

		<div class="col-lg-4 col-sm-12 col-12">
			<label for="txt_com_det">Detalle:</label>
			<textarea name="txt_com_det" class="form-control"  rows="4" id="txt_com_det"><?php echo $con_nom?></textarea>
		</div> 
	</div> 
</form>
  
<div class="modal-footer float-right">	
			
			<button type="button" class="btn btn-default" id="" data-dismiss="modal">Cancelar</button>
			<button type="button" class="btn btn-primary " id="btn_com_guardar">Guardar</button>
			
</div>
</div>